<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
               xmlns:s="http://jboss.org/schema/seam/taglib"
               xmlns:gdk="http://www.ihe.net/gazellecdk"
               xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
               xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <ui:decorate template="/messages/transactionInstanceDisplay_validationEVS.xhtml">
            <ui:param name="managedBean" value="#{mockMessageDisplay}"/>
            <ui:define name="requestContent">
                <h:panelGroup>
                    <ui:decorate template="/layout/panels/_panel_collapse.xhtml">
                        <ui:param name="panel_id" value="requestXml"/>
                        <ui:param name="openByDefault" value="true"/>
                        <ui:define name="panel_title">
                            #{messages['net.ihe.gazelle.webservice.tester.XMLMessageContent']}
                            <h:commandLink action="#{mockMessageDisplay.downloadRequest()}"
                                           rendered="#{mockMessageDisplay.getRequestContent(mockMessageDisplay.selectedInstance.request) != null}">
                                <s:span title="Download request"
                                        styleClass="gzl-icon-download text-info"/>
                            </h:commandLink>
                        </ui:define>
                        <s:div rendered="#{mockMessageDisplay.getRequestContent(mockMessageDisplay.selectedInstance.request) != null}"
                               style="overflow: auto">
                            <h:outputText value="#{mockMessageDisplay.getResponseContent(mockMessageDisplay.selectedInstance.request)}"
                                          escape="false"/>
                        </s:div>
                    </ui:decorate>
                </h:panelGroup>
            </ui:define>
            <ui:define name="responseContent">
                <h:panelGroup>
                    <ui:decorate template="/layout/panels/_panel_collapse.xhtml">
                        <ui:param name="panel_id" value="responseXML"/>
                        <ui:param name="openByDefault" value="true"/>
                        <ui:define name="panel_title">
                            #{messages['net.ihe.gazelle.webservice.tester.XMLMessageContent']}
                            <h:commandLink action="#{mockMessageDisplay.downloadResponse()}"
                                           rendered="#{mockMessageDisplay.getResponseContent(mockMessageDisplay.selectedInstance.response) != null}">
                                <s:span title="Download response"
                                        styleClass="gzl-icon-download text-info"/>
                            </h:commandLink>
                        </ui:define>
                        <s:div rendered="#{mockMessageDisplay.getResponseContent(mockMessageDisplay.selectedInstance.response) != null}"
                               style="overflow: auto">
                            <h:outputText value="#{mockMessageDisplay.getResponseContent(mockMessageDisplay.selectedInstance.response)}"
                                          escape="false"/>
                        </s:div>
                    </ui:decorate>
                </h:panelGroup>
            </ui:define>
        </ui:decorate>
    </ui:define>
</ui:composition>